<?php
include "ver_sessao.php";
include "conecta.php";



$_GET[cep] = trim($_GET[cep]);



if ( $_GET[cep]!='' ) {
	
	$retorno = @file_get_contents('https://viacep.com.br/ws/'.$_GET[cep].'/json/');
	$a_dados = json_decode($retorno, true);


	$sql_cidade = selecionar('cidade','cida_tx_ibge',$a_dados[ibge]," LIMIT 1 ");
	$a_cidade   = carrega_array($sql_cidade);

	$campo = trim($_GET[campo]);

	?>
		<script type="text/javascript">
			try {
				window.parent.document.cadastro.logradouro<?=$campo?>.value = "<?=utf8_decode($a_dados[logradouro])?>";
			} catch(err) {
				window.parent.document.cadastro.endereco<?=$campo?>.value = "<?=utf8_decode($a_dados[logradouro])?>";
			}
			
			window.parent.document.cadastro.bairro<?=$campo?>.value = "<?=utf8_decode($a_dados[bairro])?>";
			window.parent.document.cadastro.cidade<?=$campo?>.value = "<?=$a_cidade[cida_nb_id]?>";
			window.parent.document.cadastro.nome_cidade<?=$campo?>.value = "<?=trim($a_cidade[cida_tx_nome]).'/'.$a_cidade[cida_tx_uf]?>";
		</script>
	<?php

	// SE NÃO LOCALIZAR O CEP
	if ( $a_dados[erro]=='true' ) {
		?>
			<script type="text/javascript">
				window.parent.alert('CEP NÃO LOCALIZADO!');
			</script>
		<?php
	}

}




?>